<?php
namespace Claromentis\People;

$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("_736432b3f9e1cd2ec77cd6f2ba0c3" . "bdb" => base64_decode("U0VMRUNUIGJvc3NfaWQgRlJPTSBvcmdfY2hhcnQgV0hFUkUgaWQ9aW50OnVpZCBBTkQgYm9zc19pZD" . "w+aW50OnVpZCBPUkRFUiBCWSBpc19wcmltYXJ5"), "_62d701c3c53404f06345eb3572" . "0a47b4" => base64_decode("aXNfbnVtZXJpYw=" . "="), "_2f700090654e" . "a43a4fec1f8ca" . "5084d38" => base64_decode("REVMRVRFIEZST00gb3JnX2NoYXJ0IFdIRVJFIG" . "Jvc3NfaWQ9aW50OnVpZA=="), "_680cc2b8" . "220e94c8c" . "32b8bc7c6" . "5519b4" => base64_decode("aXNfa" . "W50"), "_88aa4158bbda1ad7" . "7d138780ea68e38b" => base64_decode("U0VMRUNUIGlkLCBpc19wcmltYXJ5IEZST00gb3JnX2NoYXJ0IFdIRVJFIGJvc3NfaWQ" . "9aW50OnVpZA=="), "_7f628626dd1d55c71" . "b1fc0932ffd1d2c" => base64_decode("aXNfYXJyYX" . "k="), "_e02488992f8ce86b71d9f32b" . "29fe215c" => base64_decode("SU5TRVJUIElOVE8gb3JnX2NoYXJ0IChpZCwgYm9zc19pZCwgaXNfcHJpbWFyeSkgVkFMVUVTIChpbnQ6dWlkLCBpbnQ6bWFuYWdlcl9" . "pZCwgMSk="), "_98966bfaaccbeb4658a87a97" . "e8fafb11" => base64_decode("REVMRVRFIEZST00gb3JnX2NoYXJ0IFdI" . "RVJFIGlkPWludDp1aWQ="));
use Claromentis\Core\DAL\Interfaces\DbInterface;







class UsersHierarchyService
{
    
    
    
    
    protected $db;
    public function __construct(DbInterface $db)
    {
        $this->db = $db;
    }
    
    
    
    
    
    
    
    
    public function SetManager($user_id, $_b324f64f5346fe6cd20483e208d94430) : bool
    {
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_62d701c3c53404f06" . "345eb35720a47b4"]($user_id) || !$user_id) {
            return false;
        }
        
        
        $this->db->query($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_98966bfaaccbeb4658a87a97e8faf" . "b11"], $user_id);
        if ($_b324f64f5346fe6cd20483e208d94430 === null) {
            return true;
        }
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_680cc2b8220e94c8c32" . "b8bc7c65519b4"]($_b324f64f5346fe6cd20483e208d94430)) {
            return false;
        }
        $this->db->query($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_e02488992f8ce86b71d9" . "f32b29fe215c"], $user_id, $_b324f64f5346fe6cd20483e208d94430);
        return true;
    }
    
    
    
    
    
    
    
    public function SetSubordinates($user_id, $_9b25bd1f846ab3177a43069b54248349)
    {
        
        
        $this->db->query($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_2f700090654ea43a4f" . "ec1f8ca5084d38"], $user_id);
        
        
        if (!$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_7f628626dd1d" . "55c71b1fc0932" . "ffd1d2c"]($_9b25bd1f846ab3177a43069b54248349)) {
            return false;
        }
        
        
        foreach ($_9b25bd1f846ab3177a43069b54248349 as $_f19d55a3cc79997bcb33f250cc2ee482) {
            if (!$this->SetManager($_f19d55a3cc79997bcb33f250cc2ee482, $user_id)) {
                return false;
            }
        }
        return true;
    }
    
    
    
    
    
    
    
    public function GetManager($user_id)
    {
        list($_b324f64f5346fe6cd20483e208d94430) = $this->db->query_row($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_736432b3f9e1c" . "d2ec77cd6f2ba0" . "c3bdb"], $user_id, $user_id);
        return $_b324f64f5346fe6cd20483e208d94430 ?? 0;
    }
    
    
    
    
    
    
    
    public function GetSubordinates($user_id)
    {
        $_189840d11056515e52402d1412a0b6e4 = $this->db->query($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_88aa4158bbda1ad77d138780ea6" . "8e38b"], $user_id);
        $_5bbedf94f4628faff30d9e300695d342 = array();
        while ($row = $_189840d11056515e52402d1412a0b6e4->fetchRow()) {
            if (!$row[1] && self::GetManager($row[0]) != $user_id) {
                continue;
            }
            $_5bbedf94f4628faff30d9e300695d342[] = $row[0];
        }
        return $_5bbedf94f4628faff30d9e300695d342;
    }
}